## org.eclipse.datatools.enablement.mysql.catalog.loaders
Class MySqlRoutineLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader
              org.eclipse.datatools.enablement.mysql.catalog.loaders.MySqlRoutineLoader

    public class MySqlRoutineLoader

extends JDBCRoutineLoader

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader
`JDBCRoutineLoader.IRoutineFactory, JDBCRoutineLoader.ProcedureFactory, JDBCRoutineLoader.UserDefinedFunctionFactory`

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader
`COLUMN_PROCEDURE_NAME, COLUMN_PROCEDURE_TYPE, COLUMN_REMARKS`

Constructor Summary
`MySqlRoutineLoader()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader
`clearRoutines, getProcedureFactory, getUserDefinedFunctionFactory, loadRoutines, loadRoutines, setProcedureFactory, setUserDefinedFunctionFactory`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySqlRoutineLoader

    public MySqlRoutineLoader()